Bug 173302 - update lang/qore from 0.8.3 to 0.86
Summary: update lang/qore from 0.8.3 to 0.86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 20:00 UTC by estrabd
Modified: 2012-12-10 00:13 UTC (History)
0 users

See Also:


Attachments
file.diff (507 bytes, patch)
2012-11-02 20:00 UTC, estrabd
no flags Details | Diff
file.diff (1.14 KB, patch)
2012-11-02 20:00 UTC, estrabd
no flags Details | Diff
qore.diff (6.29 KB, patch)
2012-11-03 13:04 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description estrabd 2012-11-02 20:00:01 UTC
This is just an update to lang/qore from the ports maintainer (estrabd).

Fix: @@ -16,15 +16,17 @@
 LICENSE=   GPLv2

 LIB_DEPENDS=   pcre:${PORTSDIR}/devel/pcre \
-       xml2:${PORTSDIR}/textproc/libxml2
+       xml2:${PORTSDIR}/textproc/libxml2 \
+       mpfr:${PORTSDIR}/math/mpfr
 BUILD_DEPENDS= ${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex \
        ${LOCALBASE}/bin/bison:${PORTSDIR}/devel/bison

+USE_GMAKE= yes
+
 LDFLAGS+=  -L${LOCALBASE}/lib
 USE_BZIP2= yes
 USE_OPENSSL=   yes
 USE_LDCONFIG=  yes
-USE_GNOME= pkgconfig
 GNU_CONFIGURE= yes
 CONFIGURE_ENV= "LEX=${LOCALBASE}/bin/flex"
 CONFIGURE_ARGS=    --disable-debug --disable-static
Comment 1 Edwin Groothuis freebsd_committer 2012-11-02 20:00:36 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Jason E. Hale freebsd_committer 2012-11-02 21:23:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 3 Jason E. Hale freebsd_committer 2012-11-03 13:04:11 UTC
Hi Brett,

There were a few things I had to fix.  Can I have your approval on the 
attached diff?

Here is a summary of the changes I made:

- Trimmed Makefile header
- Dropped unneeded libxml2 dependency
- Put pkgconfig file in libdata/pkgconfig, not lib/pkgconfig
- Fix build by replacing hardcoded "make"
- Link to ${PTHREAD_LIBS}, not -lpthread
- Sorted and added missing items to pkg-plist

-- 
Jason E. Hale - jhale@
FreeBSD Ports Committer
KDE/FreeBSD Team
Comment 4 Jason E. Hale freebsd_committer 2012-11-04 10:02:51 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 5 Jason E. Hale freebsd_committer 2012-11-30 05:19:58 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 Jason E. Hale freebsd_committer 2012-12-10 00:13:33 UTC
State Changed
From-To: open->closed

Committed 0.8.6.2 with changes discussed.